Subject: [bug#66424] [PATCH core-updates] gnu: libxkbcommon: Fix cross-compile.

From: Efraim Flashner <[email-masked]>
Date: Mon, 16 Oct 2023 07:42:29 +0300

On Mon, Oct 16, 2023 at 02:28:13AM +0000, John Kehayias wrote:
> Hi all,
> 
> cc'ing Efraim too, since...
> 
> On Sun, Oct 15, 2023 at 01:30 AM, [email-masked] wrote:
> 
> >> 在 2023年10月13日，22:50，Maxim Cournoyer <[email-masked]> 写道：
> >>
> >>
> >> On the top of my head, I thought pkg-config-for-build had been obsolete
> >> by the pkg-config symbol being dynamically bound to something that makes
> >> sense for the context it's used in, via some macro trickery.  I may have
> >> misunderstood things
> >
> > For cross build,
> >
> > pkg-config -> xxxx-pkg-config
> > pkg-config-for-build -> pkg-config
> >
> > libxkbcommon require wayland-scanner to generate c file, this is why
> > need pkg-config-for-build, pkg-config is require by find library. Is
> > different ,so libxkbcommon need both on cross build.
> 
> looks like the same change was made on master in
> bc1634a197dc9ab7aa0dead8c7449bb5db09cea6. Along with other commits
> then to do the same thing to other similar packages.
> 
> So, I'm closing as I believe this is done but figured I'd loop in
> Efraim in case there was anything else on this matter to discuss.

Oh no! I really need to get better about checking the bug tracker to see
if someone else has already worked through changes I'm thinking of.

I tried a bit of pkg-config hackery/trickery for a bunch of the
packages, even messing with the meson cross definitions file, but it
turned out that pkg-config-for-build did the exact wrapping that was
needed AND it provided a symlink from (pkg-config-for-target) to
"pkg-config", which was what meson needed.

I'll cherry-pick the commits over to core-updates and then do some of
the fixups to make everything cleaner.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted